Results 1 to 2 of 2

Thread: Vulnerability check for zcs 6.0.6.1

Hybrid View

  1. #1
    Join Date
    Dec 2007
    Posts
    445
    Rep Power
    7

    Default Vulnerability check for zcs 6.0.6.1

    Hi Guys,

    I am planning to upgrade my setup from zcs 5.0.13 to zcs 6.0.6.1 tmorrow. I just ask my VA team to do testing and they sent me couple of issues.

    As I read in release notes, Anonymous searches of the LDAP directory are no longer enabled.

    But as per VA testing we found :

    ###############################################

    Synopsis :

    The remote LDAP server may disclose sensitive information.

    Description :

    The remote LDAP server supports search requests with a null, or empty,
    base object. This allows information to be retrieved without any
    prior knowledge of the directory structure. Coupled with a NULL BIND,
    an anonymous user may be able to query your LDAP server using a tool
    such as 'LdapMiner'.

    Note that there are valid reasons to allow queries with a null base.
    For example, it is required in version 3 of the LDAP protocol to
    provide access to the root DSA-Specific Entry (DSE), with information
    about the supported naming context, authentication types, and the
    like. It also means that legitimate users can find information in the
    directory without any a priori knowledge of its structure. As such,
    this finding may be a false-positive.

    Solution :

    If the remote LDAP server supports a version of the LDAP protocol
    before v3, consider whether to disable NULL BASE queries on your LDAP
    server.

    Risk factor :

    Medium / CVSS Base Score : 5.0
    (CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)

    ###########################################

    Please suggest.
    Thanks

  2. #2
    Join Date
    Dec 2007
    Posts
    445
    Rep Power
    7

    Default

    Hey I am sorry guys...By mistake VA team sent me the report which they generated before upgrade.

    VA report after upgradation not showing above mentioned risk...

    I really apologize for posting this thread.

    Thanks

Similar Threads

  1. No spell check after upgrade from 5.18 to 6.01
    By micronaet in forum Installation
    Replies: 0
    Last Post: 09-22-2009, 11:18 AM
  2. Replies: 0
    Last Post: 01-31-2008, 03:34 AM
  3. Run Database Integrity Check or Skip during Upgrade?
    By soxfan in forum Administrators
    Replies: 8
    Last Post: 01-25-2008, 11:37 PM
  4. Security Vulnerability Alert
    By jholder in forum Announcements
    Replies: 0
    Last Post: 04-21-2007, 01:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •